Debian Bug report logs - #455589
squashfs-tools: mksquashfs hangs on sparse files

version graph

Package: squashfs-tools; Maintainer for squashfs-tools is Filesystems Group <filesystems-devel@lists.alioth.debian.org>; Source for squashfs-tools is src:squashfs-tools.

Reported by: Stefan Lippers-Hollmann <s.L-H@gmx.de>

Date: Tue, 11 Dec 2007 00:51:01 UTC

Severity: normal

Tags: patch

Found in versions squashfs/1:3.3-1, squashfs/1:3.3-4

Fixed in versions 1:3.3-3, squashfs/1:3.3-5

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Arnaud Fontaine <arnau@debian.org>:
Bug#455589; Package squashfs-tools. Full text and rfc822 format available.

Acknowledgement sent to Stefan Lippers-Hollmann <s.L-H@gmx.de>:
New Bug report received and forwarded. Copy sent to Arnaud Fontaine <arnau@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Lippers-Hollmann <s.L-H@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: squashfs-tools: mksquashfs hangs with zlib and lzma
Date: Tue, 11 Dec 2007 01:48:39 +0100
[Message part 1 (text/plain, inline)]
Package: squashfs-tools
Version: 1:3.3-1
Severity: normal

*** Please type your report below this line ***
Hi

While testing the new lzma capabilities of debian's squashfs-tools 1:3.3-1 
for a live CD environment (squashing a complete, offline, rootfs), 
I stumbled over mksquashfs reproducably hanging at the same file(s).

After reducing the involved files to the ones attached in 
"CHROOT-i386.tar.bz2", mksquashfs still hangs reproducably on several
up to date sid amd64 and i386 systems:

$ tar -xjf CHROOT-i386.tar.bz2
$ cd CHROOT-i386/
$ mksquashfs . ../squashfs-tools_3.3-1_amd64.lzma.squashfs -no-progress -info
Parallel mksquashfs: Using 2 processors
Creating little endian 3.1 filesystem on ../squashfs-tools_3.3-1_amd64.lzma.squashfs, block size 131072.
lzmadic 131072
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/abzeichen.wav, uncompressed size 441044 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/auge.wav, uncompressed size 441044 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/augenbraue.wav, uncompressed size 81274 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/brille.wav, uncompressed size 63044 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/fliege.wav, uncompressed size 71158 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/haare.wav, uncompressed size 49122 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/hut.wav, uncompressed size 441044 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/ohr.wav, uncompressed size 441044 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/ohrring.wav, uncompressed size 441044 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/schnurrbart.wav, uncompressed size 190076 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/uhr.wav, uncompressed size 57198 bytes
mksquashfs: directory ./usr/share/apps/ktuberling/sounds/de inode 0x1b8
mksquashfs: directory ./usr/share/apps/ktuberling/sounds inode 0x1d4
mksquashfs: directory ./usr/share/apps/ktuberling inode 0x1f0
mksquashfs: directory ./usr/share/apps inode 0x20c
mksquashfs: file ./usr/share/hplip/installer/__init__.py, uncompressed size 799 bytes
mksquashfs: file ./usr/share/hplip/installer/core_install.py, uncompressed size 49651 bytes
mksquashfs: file ./usr/share/hplip/installer/dcheck.py, uncompressed size 5906 bytes
mksquashfs: file ./usr/share/hplip/installer/distros.dat, uncompressed size 58642 bytes
mksquashfs: directory ./usr/share/hplip/installer inode 0x2a8
[ctrl]-[c] after 15 minutes

The involved files are a subset of current debian sid packages as of 
yesterday (hplip 2.7.10-5 and kde-i18n-de 4:3.5.8-1), installed in chroot
on top of a fresh "cdebootstrap --flavour=minimal" on i386, which reliably 
triggers this regression from 3.2r2-9 (backing out the lzma patches from 
squashfs-tools doesn't seem to avoid this issue); tested on ext3 
(rw,noatime).

Working;
- squashfs-tools 1:3.2r2-9 (i386, amd64) with zlib
- squashfs-tools 1:3.2r2-9exp1 (i386, amd64) with zlib and lzma

Affected:
- squashfs-tools 1:3.3-1 (i386, amd64) with zlib and lzma

More complete failure logs for amd64/ i386, including strace output located
at http://sidux.com/slh/squashfs/

Regards
	Stefan Lippers-Hollmann

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.23.9-slh64-smp-18 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages squashfs-tools depends on:
ii  libc6                   2.7-4            GNU C Library: Shared libraries
ii  libgcc1                 1:4.2.2-4        GCC support library
ii  libstdc++6              4.2.2-4          The GNU Standard C++ Library v3
ii  zlib1g                  1:1.2.3.3.dfsg-7 compression library - runtime

squashfs-tools recommends no packages.

-- no debconf information
[CHROOT-i386.tar.bz2 (application/x-tbz, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Fontaine <arnau@debian.org>:
Bug#455589; Package squashfs-tools. Full text and rfc822 format available.

Acknowledgement sent to Stefan Lippers-Hollmann <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Arnaud Fontaine <arnau@debian.org>. Full text and rfc822 format available.

Message #10 received at 455589@bugs.debian.org (full text, mbox):

From: Stefan Lippers-Hollmann <s.L-H@gmx.de>
To: 455589@bugs.debian.org
Subject: upstream CVS fixes the regression in squashfs-tools 1:3.3-1
Date: Tue, 11 Dec 2007 02:30:54 +0100
[Message part 1 (text/plain, inline)]
tags 455589 + patch
stop

Looking through the recent revision history for mksquashfs.c in the 
upstream CVS, changeset 1.47 of /squashfs/squashfs-tools/mksquashfs.c:
	http://squashfs.cvs.sourceforge.net/squashfs/squashfs/squashfs-tools/mksquashfs.c?r1=1.46&r2=1.47&view=patch
caught my eyes. Applying it to 1:3.3-1 succeeds and fixes the previously 
mentioned regression in mksquashfs:

slh@challenger:/tmp/pkg/CHROOT-i386$ cat /proc/version
Linux version 2.6.23.9-slh64-smp-15 (slh@salyut) (gcc version 4.2.3 20071123 (prerelease) (Debian 4.2.2-4)) #1 SMP PREEMPT Fri Dec 7 01:38:56 CET 2007

slh@challenger:/tmp/pkg/CHROOT-i386$ dpkg -l | grep squashfs-tools
ii  squashfs-tools                                     1:3.3-1+c0.sidux.1                   Tool to create and append to squashfs filesystems

slh@challenger:/tmp/pkg/CHROOT-i386$ mksquashfs . ../squashfs-tools_3.3-1+c0.sidux.1_amd64.lzma.squashfs -no-progress -info
Parallel mksquashfs: Using 2 processors
Creating little endian 3.1 filesystem on ../squashfs-tools_3.3-1+c0.sidux.1_amd64.lzma.squashfs, block size 131072.
lzmadic 131072
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/abzeichen.wav, uncompressed size 441044 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/auge.wav, uncompressed size 441044 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/augenbraue.wav, uncompressed size 81274 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/brille.wav, uncompressed size 63044 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/fliege.wav, uncompressed size 71158 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/haare.wav, uncompressed size 49122 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/hut.wav, uncompressed size 441044 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/ohr.wav, uncompressed size 441044 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/ohrring.wav, uncompressed size 441044 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/schnurrbart.wav, uncompressed size 190076 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/uhr.wav, uncompressed size 57198 bytes
mksquashfs: directory ./usr/share/apps/ktuberling/sounds/de inode 0x1b8
mksquashfs: directory ./usr/share/apps/ktuberling/sounds inode 0x1d4
mksquashfs: directory ./usr/share/apps/ktuberling inode 0x1f0
mksquashfs: directory ./usr/share/apps inode 0x20c
mksquashfs: file ./usr/share/hplip/installer/__init__.py, uncompressed size 799 bytes
mksquashfs: file ./usr/share/hplip/installer/core_install.py, uncompressed size 49651 bytes
mksquashfs: file ./usr/share/hplip/installer/dcheck.py, uncompressed size 5906 bytes
mksquashfs: file ./usr/share/hplip/installer/distros.dat, uncompressed size 58642 bytes
mksquashfs: directory ./usr/share/hplip/installer inode 0x2a8
mksquashfs: file ./usr/share/hplip/scan/__init__.py, uncompressed size 799 bytes DUPLICATE
mksquashfs: file ./usr/share/hplip/scan/sane.py, uncompressed size 21634 bytes
mksquashfs: directory ./usr/share/hplip/scan inode 0x304
mksquashfs: directory ./usr/share/hplip inode 0x320
mksquashfs: directory ./usr/share inode 0x33c
mksquashfs: directory ./usr inode 0x358
mksquashfs: directory . inode 0x374

Exportable Little endian filesystem, data block size 131072, compressed data, compressed metadata, compressed fragments, duplicates are removed
lzmadic 131072
Filesystem size 582.26 Kbytes (0.57 Mbytes)
        20.88% of uncompressed filesystem size (2789.07 Kbytes)
Inode table size 375 bytes (0.37 Kbytes)
        41.03% of uncompressed inode table size (914 bytes)
Directory table size 321 bytes (0.31 Kbytes)
        72.13% of uncompressed directory table size (445 bytes)
Number of duplicate files found 1
Number of inodes 27
Number of files 17
Number of fragments 5
Number of symbolic links  0
Number of device nodes 0
Number of fifo nodes 0
Number of socket nodes 0
Number of directories 10
Number of uids 1
        slh (1000)
Number of gids 0

slh@challenger:/tmp/pkg/CHROOT-i386$ mksquashfs . ../squashfs-tools_3.3-1+c0.sidux.1_amd64.zlib.squashfs -no-progress -info -nolzma
Parallel mksquashfs: Using 2 processors
Creating little endian 3.1 filesystem on ../squashfs-tools_3.3-1+c0.sidux.1_amd64.zlib.squashfs, block size 131072.
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/abzeichen.wav, uncompressed size 441044 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/auge.wav, uncompressed size 441044 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/augenbraue.wav, uncompressed size 81274 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/brille.wav, uncompressed size 63044 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/fliege.wav, uncompressed size 71158 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/haare.wav, uncompressed size 49122 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/hut.wav, uncompressed size 441044 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/ohr.wav, uncompressed size 441044 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/ohrring.wav, uncompressed size 441044 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/schnurrbart.wav, uncompressed size 190076 bytes
mksquashfs: file ./usr/share/apps/ktuberling/sounds/de/uhr.wav, uncompressed size 57198 bytes
mksquashfs: directory ./usr/share/apps/ktuberling/sounds/de inode 0x1b8
mksquashfs: directory ./usr/share/apps/ktuberling/sounds inode 0x1d4
mksquashfs: directory ./usr/share/apps/ktuberling inode 0x1f0
mksquashfs: directory ./usr/share/apps inode 0x20c
mksquashfs: file ./usr/share/hplip/installer/__init__.py, uncompressed size 799 bytes
mksquashfs: file ./usr/share/hplip/installer/core_install.py, uncompressed size 49651 bytes
mksquashfs: file ./usr/share/hplip/installer/dcheck.py, uncompressed size 5906 bytes
mksquashfs: file ./usr/share/hplip/installer/distros.dat, uncompressed size 58642 bytes
mksquashfs: directory ./usr/share/hplip/installer inode 0x2a8
mksquashfs: file ./usr/share/hplip/scan/__init__.py, uncompressed size 799 bytes DUPLICATE
mksquashfs: file ./usr/share/hplip/scan/sane.py, uncompressed size 21634 bytes
mksquashfs: directory ./usr/share/hplip/scan inode 0x304
mksquashfs: directory ./usr/share/hplip inode 0x320
mksquashfs: directory ./usr/share inode 0x33c
mksquashfs: directory ./usr inode 0x358
mksquashfs: directory . inode 0x374

Exportable Little endian filesystem, data block size 131072, compressed data, compressed metadata, compressed fragments, duplicates are removed
Filesystem size 582.26 Kbytes (0.57 Mbytes)
        20.88% of uncompressed filesystem size (2789.07 Kbytes)
Inode table size 375 bytes (0.37 Kbytes)
        41.03% of uncompressed inode table size (914 bytes)
Directory table size 321 bytes (0.31 Kbytes)
        72.13% of uncompressed directory table size (445 bytes)
Number of duplicate files found 1
Number of inodes 27
Number of files 17
Number of fragments 5
Number of symbolic links  0
Number of device nodes 0
Number of fifo nodes 0
Number of socket nodes 0
Number of directories 10
Number of uids 1
        slh (1000)
Number of gids 0
slh@challenger:/tmp/pkg/CHROOT-i386$

Regards
	Stefan Lippers-Hollmann
[00_fix-segv-and-mksquashfs-hang.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#455589; Package squashfs-tools. Full text and rfc822 format available.

Acknowledgement sent to Arnaud Fontaine <arnau@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 455589@bugs.debian.org (full text, mbox):

From: Arnaud Fontaine <arnau@debian.org>
To: Stefan Lippers-Hollmann <s.L-H@gmx.de>
Cc: 455589@bugs.debian.org
Subject: Re: Bug#455589: squashfs-tools: mksquashfs hangs with zlib and lzma
Date: Tue, 18 Dec 2007 18:14:06 +0100
[Message part 1 (text/plain, inline)]
Hello,

Thanks for your report. I will apply this patch and upload squashfs when
my exams will be finished.

Regards,
Arnaud Fontaine
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Fontaine <arnau@debian.org>:
Bug#455589; Package squashfs-tools. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Arnaud Fontaine <arnau@debian.org>. Full text and rfc822 format available.

Message #20 received at 455589@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 455589@bugs.debian.org
Subject: Re: squashfs-tools: mksquashfs hangs with zlib and lzma
Date: Mon, 04 Feb 2008 23:19:40 +0100
tags 455589 +pending
thanks

Fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 04 Feb 2008 22:21:03 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Stefan Lippers-Hollmann <s.L-H@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 455589-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 455589-close@bugs.debian.org
Subject: Bug#455589: fixed in squashfs 1:3.3-3
Date: Tue, 05 Feb 2008 22:17:06 +0000
Source: squashfs
Source-Version: 1:3.3-3

We believe that the bug you reported is fixed in the latest version of
squashfs, which is due to be installed in the Debian FTP archive:

squashfs-source_3.3-3_all.deb
  to pool/main/s/squashfs/squashfs-source_3.3-3_all.deb
squashfs-tools_3.3-3_i386.deb
  to pool/main/s/squashfs/squashfs-tools_3.3-3_i386.deb
squashfs_3.3-3.diff.gz
  to pool/main/s/squashfs/squashfs_3.3-3.diff.gz
squashfs_3.3-3.dsc
  to pool/main/s/squashfs/squashfs_3.3-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 455589@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated squashfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  4 Feb 2008 22:57:00 +0100
Source: squashfs
Binary: squashfs-tools squashfs-source
Architecture: source all i386
Version: 1:3.3-3
Distribution: unstable
Urgency: medium
Maintainer: Arnaud Fontaine <arnau@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 squashfs-source - Source for the squash filesystem
 squashfs-tools - Tool to create and append to squashfs filesystems
Closes: 455589 463293
Changes: 
 squashfs (1:3.3-3) unstable; urgency=medium
 .
   [ Daniel Baumann ]
   * Applied patch from Tollef Fog Heen <tfheen@ubuntu.com>:
     - Add -lzma switch to enable lzma support.
     - Don't use lzma by default.
     Both patches are very important. We cannot use lzma by default on for two
     reasons: first, it is broken and produces corrupted images at the moment,
     and second, we would not have an upgrade path from etch to lenny with it.
   * Build-depending on gcc-4.2-hppa64 now (Closes: #463293).
   * Removed useless whitespaces at EOF and EOL in debian/*.
   * Applied patch from upstream to fix hang of mksquashfs, thanks to
     Stefan Lippers-Hollmann <s.L-H@gmx.de> (Closes: #455589).
   * Bumped package to debhelper 5, no other changes required.
   * Updated Vcs fields in control, they are official now.
   * Adding override link for module-assistant.
   * Prefixing docs in debian with the package name they belong to for
     consistency reasons.
   * Since it is unavoidable to have the EXTRA_FLAGS in the linux-2.6/Makefile,
     it is not required to duplicate them in debian/rules.modules.
Files: 
 7b23b67246e6dd7a5a16ee643c648441 1024 admin optional squashfs_3.3-3.dsc
 791cc590d002d96b403a89ccde581540 43200 admin optional squashfs_3.3-3.diff.gz
 25c587a8e2d51c2ab02d4891ae2339eb 52994 admin optional squashfs-source_3.3-3_all.deb
 7ebc6d0d6681597d7b0ed698d2c04c70 120722 admin optional squashfs-tools_3.3-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHqN5W+C5cwEsrK54RAr6HAJ4lznxkkPg80uauZbafLFMrRWQQiQCg1FpC
HIPMjxwv01T6Krm/cKB+D5A=
=+skG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Mar 2008 07:32:36 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Stefan Lippers-Hollmann <s.L-H@gmx.de> to control@bugs.debian.org. (Fri, 28 Mar 2008 01:33:04 GMT) Full text and rfc822 format available.

Bug marked as found in version 1:3.3-4 and reopened. Request was from Stefan Lippers-Hollmann <s.L-H@gmx.de> to control@bugs.debian.org. (Fri, 28 Mar 2008 01:33:05 GMT) Full text and rfc822 format available.

Changed Bug title to `squashfs-tools: mksquashfs hangs on sparse files' from `squashfs-tools: mksquashfs hangs with zlib and lzma'. Request was from Stefan Lippers-Hollmann <s.L-H@gmx.de> to control@bugs.debian.org. (Fri, 28 Mar 2008 01:39:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Fontaine <arnau@debian.org>:
Bug#455589; Package squashfs-tools. Full text and rfc822 format available.

Acknowledgement sent to Stefan Lippers-Hollmann <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Arnaud Fontaine <arnau@debian.org>. Full text and rfc822 format available.

Message #40 received at 455589@bugs.debian.org (full text, mbox):

From: Stefan Lippers-Hollmann <s.L-H@gmx.de>
To: 455589@bugs.debian.org
Subject: Re: Bug#455589 closed by Daniel Baumann <daniel@debian.org> (Bug#455589: fixed in squashfs 1:3.3-3)
Date: Fri, 28 Mar 2008 02:34:14 +0100
[Message part 1 (text/plain, inline)]
unarchive 455589
found 455589 1:3.3-4
thanks

The upload of 1:3.3-4 for squashfs has accidentally dropped the previously 
accepted (in 1:3.3-3) patch [1] which prevented mksquashfs from hanging on 
sparse files (e.g. present in kde-i18n-*).

Additionally I would suggest adding the following patch [2] ([3]) or 
looking at current CVS checkouts, which do fix similar bugs in mksquashfs 
3.3.

Regards
	Stefan Lippers-Hollmann

[1]	Fix segv and mksquashfs hangs when handling sparse files.
	http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=10;filename=00_fix-segv-and-mksquashfs-hang.patch;att=1;bug=455589
	http://squashfs.cvs.sourceforge.net/squashfs/squashfs/squashfs-tools/mksquashfs.c?r1=1.46&r2=1.47&view=patch
	http://sidux.com/slh/squashfs/00_r1.47_fix-segv-and-mksquashfs-hang.patch (rediffed)

[2]	Fix Mksquashfs where it used stat to check for existence of source 
	directories and files.  This incorrectly flagged dangling symbolic 
	links as non-existent files.  Changed to lstat which correct 
	handles this case.
	http://squashfs.cvs.sourceforge.net/squashfs/squashfs/squashfs-tools/mksquashfs.c?r1=1.47&r2=1.48
	http://sidux.com/slh/squashfs/00_r1.48_fix-dangling-symbolic-links.patch (rediffed)

[3]	Fix progress bar where hardlinked files were counted more than 
	once, leading to progress bar not reaching 100% completed.
	http://squashfs.cvs.sourceforge.net/squashfs/squashfs/squashfs-tools/mksquashfs.c?r1=1.48&r2=1.49
	http://sidux.com/slh/squashfs/00_r1.49_fix-progress-bar-for-hardlinked-files.patch (rediffed)
  
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. (Fri, 28 Mar 2008 22:24:28 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Stefan Lippers-Hollmann <s.L-H@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #47 received at 455589-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 455589-close@bugs.debian.org
Subject: Bug#455589: fixed in squashfs 1:3.3-5
Date: Sat, 29 Mar 2008 23:47:19 +0000
Source: squashfs
Source-Version: 1:3.3-5

We believe that the bug you reported is fixed in the latest version of
squashfs, which is due to be installed in the Debian FTP archive:

squashfs-source_3.3-5_all.deb
  to pool/main/s/squashfs/squashfs-source_3.3-5_all.deb
squashfs-tools_3.3-5_i386.deb
  to pool/main/s/squashfs/squashfs-tools_3.3-5_i386.deb
squashfs_3.3-5.diff.gz
  to pool/main/s/squashfs/squashfs_3.3-5.diff.gz
squashfs_3.3-5.dsc
  to pool/main/s/squashfs/squashfs_3.3-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 455589@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated squashfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 29 Mar 2008 09:48:00 +0100
Source: squashfs
Binary: squashfs-tools squashfs-source
Architecture: source all i386
Version: 1:3.3-5
Distribution: unstable
Urgency: high
Maintainer: Arnaud Fontaine <arnau@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 squashfs-source - Source for the squash filesystem
 squashfs-tools - Tool to create and append to squashfs filesystems
Closes: 455589
Changes: 
 squashfs (1:3.3-5) unstable; urgency=high
 .
   * Readding patch from squashfs cvs to fix mksquashfs error on >1.5GB image
     creation. This patch was accidentally dropped by me as it was hidden
     within the squashfs-lzma patches and not broken out (Closes: #455589).
   * Applying two other patches from squashfs cvs:
     - Fixing progessbar for hardlinked files.
     - Fixing dangling symbolic links.
     Thanks to Stefan Lippers-Hollmann <s.L-H@gmx.de>.
Files: 
 00f8444663ecdb110fdab1cd86c5231c 1001 admin optional squashfs_3.3-5.dsc
 b5793d50fc0bde83fb4a277a2b61857e 30838 admin optional squashfs_3.3-5.diff.gz
 44096174f499723a90f0018cf0c53cae 52680 admin optional squashfs-source_3.3-5_all.deb
 ed41c4a99fdad97f560fca6c1b5cd140 92710 admin optional squashfs-tools_3.3-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH7tQl+C5cwEsrK54RApf6AKC5STdJifoEmMqkLkerp1iJp+ZixACg4X/+
gCbIMwt1MOpPWx9T3pHarok=
=/oAc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 30 Apr 2008 07:51:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:54:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.